# Class ForceDirectedEdge`Unindexed`

GoJS® Diagramming Components
version 3.0.7
by Northwoods Software®

#### Hierarchy

- LayoutEdge
  - ForceDirectedEdge

This holds ForceDirectedLayout-specific information about Links.

This class inherits from LayoutEdge.

#####
Index

### Constructors

constructor

### Accessors

length
stiffness

#####
Inherited Index

### Accessors

LayoutEdge.data
LayoutEdge.fromVertex
LayoutEdge.link
LayoutEdge.network
LayoutEdge.toVertex

### Methods

LayoutEdge.commit
LayoutEdge.getOtherVertex

## Constructors

### constructor

- new ForceDirectedEdge(network: ForceDirectedNetwork): ForceDirectedEdge

- #### Parameters

  - ##### network: ForceDirectedNetwork

  #### Returns ForceDirectedEdge

## Accessors

### length
: number

- Gets or sets the length of this edge. The default value is NaN.

### stiffness
: number

- Gets or sets this edge's stiffness or resistance to compression or stretching. The default value is NaN.

Copyright © 1998-2024 by Northwoods Software Corporation.